org.apache.ignite.internal.visor.node

## Class VisorSqlConnectorConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorSqlConnectorConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

Deprecated.

    @Deprecated
    public class VisorSqlConnectorConfiguration
    extends VisorDataTransferObject

Data transfer object for SQL connector configuration. Deprecated as of Apache Ignite 2.3

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorSqlConnectorConfiguration()` Deprecated. Default constructor.
`VisorSqlConnectorConfiguration(SqlConnectorConfiguration cfg)` Deprecated. Create data transfer object for Sql connector configuration.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getHost()` Deprecated.
`int` `getMaxOpenCursorsPerConnection()` Deprecated.
`int` `getPort()` Deprecated.
`int` `getPortRange()` Deprecated.
`int` `getSocketReceiveBufferSize()` Deprecated.
`int` `getSocketSendBufferSize()` Deprecated.
`int` `getThreadPoolSize()` Deprecated.
`boolean` `isTcpNoDelay()` Deprecated.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Deprecated. Load object's specific data content.
`String` `toString()` Deprecated.
`protected void` `writeExternalData(ObjectOutput out)` Deprecated. Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorSqlConnectorConfiguration

    public VisorSqlConnectorConfiguration()

Deprecated.
Default constructor.

#### VisorSqlConnectorConfiguration

    public VisorSqlConnectorConfiguration(SqlConnectorConfiguration cfg)

Deprecated.
Create data transfer object for Sql connector configuration.

Parameters:
  `cfg` - Sql connector configuration.

### Method Detail

#### getHost

    @Nullable
    public String getHost()

Deprecated.

Returns:
  Host.

#### getPort

    public int getPort()

Deprecated.

Returns:
  Port.

#### getPortRange

    public int getPortRange()

Deprecated.

Returns:
  Port range.

#### getMaxOpenCursorsPerConnection

    public int getMaxOpenCursorsPerConnection()

Deprecated.

Returns:
  Maximum number of opened cursors.

#### getSocketSendBufferSize

    public int getSocketSendBufferSize()

Deprecated.

Returns:
  Socket send buffer size in bytes.

#### getSocketReceiveBufferSize

    public int getSocketReceiveBufferSize()

Deprecated.

Returns:
  Socket receive buffer size in bytes.

#### isTcpNoDelay

    public boolean isTcpNoDelay()

Deprecated.

Returns:
  TCP NO_DELAY flag.

#### getThreadPoolSize

    public int getThreadPoolSize()

Deprecated.

Returns:
  Thread pool that is in charge of processing SQL requests.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Deprecated.
Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Deprecated.
Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018